GuideLab API

Refund Overpayment

Process a refund for an overpayment on a completed payment. Lab-only. Creates a refund record and corresponding account-debit transaction.

POST
/overpayments/{id}/refund

Process a refund for an overpayment on a completed payment. Lab-only. Creates a refund record and corresponding account-debit transaction.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Payment ID with the overpayment

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/overpayments/550e8400-e29b-41d4-a716-446655440000/refund" \  -H "Content-Type: application/json" \  -d '{    "idempotencyKey": "stringst",    "amount": "string"  }'
{  "success": true,  "refundId": "string",  "status": "pending"}
{  "success": true,  "refundId": "string",  "status": "pending"}
{  "error": "string"}
{  "error": "string"}
Empty
Empty
Empty